<?php
if (!defined('FORUM_ROOT'))
	die();

require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_moderator'] != '1' && $forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (!isset($lang_no_bots)) {
	if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php'))
	    require $ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php';
    else
	    require $ext_info['path'].'/lang/English/'.$ext_info['id'].'.php';
}

$bot_path = FORUM_ROOT.'extensions/no_bots/';

if(isset($_POST['save']) )
{
	$errors = array();
	
	$robots = trim($_POST['robots']);

	if (!defined('FORUM_CACHE_FUNCTIONS_LOADED'))
	    require FORUM_ROOT.'include/cache.php';

	@chmod($bot_path, 0777);
	if (!write_cache_file($bot_path.'robots.php', '<?php'."\n\n".'if (!defined(\'FORUM\')) exit;'."\n\n".'$robots = \''."\n".$robots."\n".'\';'."\n\n".'if (!defined(\'ROBOTS_LIST_LOADED\')) define(\'ROBOTS_LIST_LOADED\', 1);'))
    {
        $errors[] = $lang_no_bots['Error writing file'];
    }
	
	if (empty($errors)) 
	{
	    $forum_flash->add_info($lang_no_bots['List of bots updated']);
	    redirect(forum_link($forum_url['no_bots_list']), $lang_no_bots['List of bots updated']);
	}
}
 
// Setup breadcrumbs
$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	$lang_no_bots['Bots list']
);

if (file_exists($bot_path.'robots.php'))
	require $bot_path.'robots.php';

if (isset($robots) && trim($robots) != '') {
    $bots_count = count(explode("\n", trim($robots)));
} else {
	$bots_count = 0;
}

define('FORUM_PAGE_SECTION', 'bots_list');
define('FORUM_PAGE', 'admin-bots_list');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

	<div class="main-content main-frm">
	    <div class="main-subhead" style="border: unset; border-bottom: 1px solid #d3dae1;">
		    <h2 class="hn"><span><?php echo sprintf($lang_no_bots['List of bots'], $bots_count) ?></span></h2>
	    </div>
		<?php
		    if (!empty($errors)) {
			    $forum_page['errors'] = array();
			    foreach ($errors as $cur_error) {
				    $forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';
			    }
?>
		    <div class="ct-box error-box">
			    <h2 class="warn hn"><?php echo $lang_no_bots['Error adding bots'] ?></h2>
			    <ul class="error-list">
				    <?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			    </ul>
		    </div>
<?php
		    }
?>
		
		<form action="<?php echo forum_link($forum_url['no_bots_list']) ?>" accept-charset="utf-8" method="post" class="frm-form">
			<div class="hidden">
				<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['no_bots_list'])) ?>" name="csrf_token" />
			</div>
			<div class="txt-set set">
				<div class="txt-box textarea">
					<label for="fld"><span><?php echo $lang_no_bots['Bots'] ?></span><small><?php echo $lang_no_bots['Bots list info'] ?></small></label>
					<div class="txt-input">
					    <span class="fld-input">
<textarea name="robots" rows="30" cols="auto" >
<?php
                            if (isset($robots))
						    {
							    echo trim($robots);
		                    }
?>
</textarea>
                        </span>
					</div>
				</div>
			</div>
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save" value="<?php echo $lang_no_bots['Save'] ?>" /></span>
			</div>
		</form>
	</div>
	
<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
